xmlgraphics-fop-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeremias Maerki <...@jeremias-maerki.ch>
Subject Re: Using 20.5 and Trunk in same project?
Date Fri, 03 Mar 2006 10:57:01 GMT
Yes, I do have experience with that. I've written a wrapper API for
XSL-FO implementations [1] where I support exactly that: Support
multiple FO implementations in the same VM. For that to work you have to
isolate the two versions using different class loaders. FOP Trunk still
uses the same package names as 0.20.5 so you can't have both in the same
classpath. The problem with [1] is that it's currently a little behind.
If you want to use it with the latest FOP release I'd have to update it
first. And I'm still looking for a better name for that thing. Sun
doesn't like my using "JAXG". :-( You can also just look at the source
code to get some ideas how to isolate the FOP versions.

[1] http://www.jeremias-maerki.ch/dev/jaxg/index.html

On 03.03.2006 11:23:45 Dirk Bromberg wrote:
> we've a project in which fop20.5 is already working for many year. now 
> we wants to add some new features and are not sure if it is possible to 
> use 20.5 and the trunk version in the same application.
> 
> all jars are in the same classpath....
> 
> has someone some experience with this?
> 
> we don't want to port the 20.5 yet..


Jeremias Maerki


---------------------------------------------------------------------
To unsubscribe, e-mail: fop-users-unsubscribe@xmlgraphics.apache.org
For additional commands, e-mail: fop-users-help@xmlgraphics.apache.org


Mime
View raw message